Update Resident Pet: ResMan
PUT
https://api.propexo.com/v1/resident-pets/resman/:pet_id| Interface | Method |
|---|---|
| Residents | /Residents/PostPets |
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Path parameters
pet_id stringrequired
The Propexo unique identifier for the resident pet
Request
This endpoint expects an object.
age_in_yearsinteger
The age in years of the resident pet
Possible values: >= 0
breedstring
The breed of the resident pet
colorstring
The color of the resident pet
namestringrequired
The name associated with the resident pet
notesstring
Notes associated with the resident pet
typestringrequired
The type associated with the resident pet
weight_in_poundsinteger
The weight in pounds of the resident pet
Possible values: >= 0
Response
Successful response
meta objectrequired
job_idstringrequired
result objectrequired
pet_idstringrequired
The Propexo unique identifier for the resident pet
age_in_yearsinteger
The age in years of the resident pet
Possible values: >= 0
breedstring
The breed of the resident pet
colorstring
The color of the resident pet
namestringrequired
The name associated with the resident pet
notesstring
Notes associated with the resident pet
typestringrequired
The type associated with the resident pet
weight_in_poundsinteger
The weight in pounds of the resident pet
Possible values: >= 0
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
PUT /v1/resident-pets/resman/:pet_id
curl -X PUT https://api.propexo.com/v1/resident-pets/resman/:pet_id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"name": "string",
"type": "string"
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"pet_id": "string",
"age_in_years": 0,
"breed": "string",
"color": "string",
"name": "string",
"notes": "string",
"type": "string",
"weight_in_pounds": 0
}
}